<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.ThemelayerMapper">

    <resultMap id="themelayerMap" type="com.tofly.xrtygis.entity.Themelayer">
        <id property="id" column="ID"/>
        <result property="name" column="NAME"/>
        <result property="layerName" column="LAYER_NAME"/>
        <result property="comCondition" column="COM_CONDITION"/>
        <result property="extent" column="EXTENT"/>
        <result property="notes" column="NOTES"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="createTime" column="CREATE_TIME"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"/>
    </resultMap>


</mapper>
